namespace VisualStudioMruFileUtil
{
	internal class VisualStudioVersion
	{
		private static readonly string vs2003Key = @"Software\Microsoft\VisualStudio\7.0\ProjectMRUList";
		private static readonly string vs2005Key = @"Software\Microsoft\VisualStudio\8.0\ProjectMRUList";
		private static readonly string vs2008Key = @"Software\Microsoft\VisualStudio\9.0\ProjectMRUList";
      private static readonly string vs2010Key = @"Software\Microsoft\VisualStudio\10.0\ProjectMRUList";

		public static readonly VisualStudioVersion VisualStudio2003
			= new VisualStudioVersion(vs2003Key, "Visual Studio 2003");

		public static readonly VisualStudioVersion VisualStudio2005
			= new VisualStudioVersion(vs2005Key, "Visual Studio 2005");

		public static readonly VisualStudioVersion VisualStudio2008
			= new VisualStudioVersion(vs2008Key, "Visual Studio 2008");

      public static readonly VisualStudioVersion VisualStudio2010
         = new VisualStudioVersion(vs2010Key, "Visual Studio 2010");

		private string keyName;
		private string displayName;

		private VisualStudioVersion(string keyName, string displayName)
		{
			this.keyName = keyName;
			this.displayName = displayName;
		}

		public string KeyName
		{
			get { return keyName; }
		}

		public string DisplayName
		{
			get { return displayName; }
		}
	}
}